Subject: Re: [bitcoin-dev] BIPable-idea: Consistent and better definition of the term 'address'

From: Emil Engler <[email-masked]>
Date: Sun, 6 Oct 2019 18:06:27 +0200

> But a pubkey is not a Base58 string, and fundamentally different from an 
> address. An address identifies the recipient and the purpose of the payment; 
> a pubkey does not. The pubkey remains with the UTXO; an address does not.

I don't know much about this topic in Bitcoin so far, but I meant the
address :)

> That problem would require using a different term than "address" to address.

I meant this the whole time, sorry for misunderstandings.

> A BIP is unlikely to do the job (though it may help).

Why? They are specifications and implementations need them (even if some
do not implement everything).
Also BIP 21 would need an alternative/separate parameter with the new term.

> Neither the address nor pubkey are a password...

In Germany at least (where I live), you need to provide a 'Password'
(the german translation of thin word of course) in the purpose of the
transaction if you pay with a bank transfer. They are used as IDs but I
agree, ID is definitely a better suffix.

> Some possible alternative terms would be "invoice id", "payment token", etc.

ACK

Greetings, Emil Engler